aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gst-plugins-ugly1/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-10-03 12:33:55 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-10-03 12:33:55 +0000
commit5b4e9af54fa73b797ea95d822ff10dafb67fb5be (patch)
treec4b6b365c4ae9f9ef7a9c4aa9755e1450eda7fb5 /testing/gst-plugins-ugly1/APKBUILD
parent839f0becdb741bfb009c9639f051ab6c9dd0aa43 (diff)
downloadaports-5b4e9af54fa73b797ea95d822ff10dafb67fb5be.tar.gz
aports-5b4e9af54fa73b797ea95d822ff10dafb67fb5be.tar.bz2
aports-5b4e9af54fa73b797ea95d822ff10dafb67fb5be.tar.xz
testing/gst-plugins-ugly1: new aport
GStreamer Multimedia Framework Ugly Plugins (gst-plugins-ugly) http://gstreamer.freedesktop.org/
Diffstat (limited to 'testing/gst-plugins-ugly1/APKBUILD')
-rw-r--r--testing/gst-plugins-ugly1/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/testing/gst-plugins-ugly1/APKBUILD b/testing/gst-plugins-ugly1/APKBUILD
new file mode 100644
index 0000000000..417bfff72d
--- /dev/null
+++ b/testing/gst-plugins-ugly1/APKBUILD
@@ -0,0 +1,48 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gst-plugins-ugly1
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="GStreamer Multimedia Framework Ugly Plugins (gst-plugins-ugly)"
+url="http://gstreamer.freedesktop.org/"
+arch="all"
+license="LGPL"
+depends=
+makedepends="
+ a52dec-dev
+ glib-dev
+ gst-plugins-base1-dev
+ gstreamer1-dev
+ lame-dev
+ libcdio-dev
+ libdvdread-dev
+ libid3tag-dev
+ libmad-dev
+ libmpeg2-dev
+ liboil-dev
+ orc-dev
+ x264-dev
+ "
+source="http://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-$pkgver.tar.xz"
+subpackages="$pkgname-lang"
+ldpath="/usr/lib/gstreamer-1.0"
+
+_builddir="$srcdir"/gst-plugins-ugly-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --enable-experimental \
+ --with-package-name="GStreamer Ugly Plugins (Alpine Linux)" \
+ --with-package-origin="http://alpinelinux.org/" || return 1
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" -name '*.la' -delete
+}
+md5sums="7f20303caf4305278573fb7ef73a07b7 gst-plugins-ugly-1.0.0.tar.xz"